const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const user_has_menu = sequelize.define(
    'user_has_menu',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

status: {
        type: DataTypes.TEXT,

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  user_has_menu.associate = (db) => {

    db.user_has_menu.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.user_has_menu.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };

  return user_has_menu;
};

